JRE libraires are missing or not compatible when executing UIM installer on Rhel

Document ID : KB000120660
Last Modified Date : 09/11/2018
Show Technical Document Details
Question:
When trying to install UIM 9.0.2 the installer reports the error "JRE libraries are missing or not compatible".  What is required here?
Answer:
It's due to a Redhat security recommendation which states to disable execute rights in /tmp. (see https://www.cisecurity.org/benchmark/red_hat_linux/) The solution is to temporarily enable execute rights prior to installation using this command:
mount -o remount,exec /tmp